Subject: Re: [Pce] New Version Notification for draft-ietf-pce-hierarchy-extensions-06.txt

From: <[email-masked]>
Date: Mon, 5 Nov 2018 11:50:39 +0700

Greetings PCE'rs,

Please find a new version of draft-ietf-pce-hierarchy-extensions (version 06). Thanks to Adrian Farrel for his recent and thorough review, it helped the authors polish the I-D. 

Revisions to the new version of the I-D include:

- Updated Abstract
- Updated Introduction
- Updated Security text
- Added RFC7399 (Unanswered questions of the PCE) text and reference to Introduction Scope
- Consistency of "Objective Functions" text
- Revised H-PCE-CAPABILITY TLV format and behavior
- Cleaned up Section 3.3.1 OF Codes 
- Consistency of text and readability updates
- Added IANA allocation policy to IANA Section
- Implementation Status moved to an Appendix with statement that this will be removed before publication

There is one material change to protocol solution in the I-D. It is proposed that the H-PCE-CAPABILITY TLV should now use one flag (P-bit), instead of two. If set, will signal that the child PCE wishes to use the peer PCE as a parent PCE:

https://tools.ietf.org/html/draft-ietf-pce-hierarchy-extensions-06#page-8

The authors will follow-up with Adrian, via the PCE list, and respond to his specific comments in a separate email. 

BR, Dan. 

-----Original Message-----
From: [email-masked] <[email-masked]> 
Sent: 05 November 2018 11:29
To: Oscar de Dios <[email-masked]>; Daniel King <[email-masked]>; Fatai Zhang <[email-masked]>; Oscar Gonzalez de Dios <[email-masked]>; Quintin Zhao <[email-masked]>; [email-masked]
Subject: New Version Notification for draft-ietf-pce-hierarchy-extensions-06.txt

A new version of I-D, draft-ietf-pce-hierarchy-extensions-06.txt
has been successfully submitted by Daniel King and posted to the IETF repository.

Name:		draft-ietf-pce-hierarchy-extensions
Revision:	06
Title:		Extensions to Path Computation Element Communication Protocol (PCEP) for Hierarchical Path Computation Elements (PCE)
Document date:	2018-11-05
Group:		pce
Pages:		30
URL:            https://www.ietf.org/internet-drafts/draft-ietf-pce-hierarchy-extensions-06.txt
Status:         https://datatracker.ietf.org/doc/draft-ietf-pce-hierarchy-extensions/
Htmlized:       https://tools.ietf.org/html/draft-ietf-pce-hierarchy-extensions-06
Htmlized:       https://datatracker.ietf.org/doc/html/draft-ietf-pce-hierarchy-extensions
Diff:           https://www.ietf.org/rfcdiff?url2=draft-ietf-pce-hierarchy-extensions-06

Abstract:
   The Hierarchical Path Computation Element (H-PCE) architecture is
   defined in RFC 6805.  It provides a mechanism to derive an optimum
   end-to-end path in a multi-domain environment by using a hierarchical
   relationship between domains to select the optimum sequence of
   domains and optimum paths across those domains.

   This document defines extensions to the Path Computation Element
   Protocol (PCEP) to support Hierarchical PCE procedures.

---

From: Dhruv Dhody <[email-masked]>
Date: Wed, 28 Nov 2018 20:46:12 +0530

Hi Daniel,

As the document shepherd, I have some suggested changes that I have
made directly in the text file. Most of them are editorial in nature
and some fixes issues with the last update. I have a few suggestions
that I have put in the text file.

Diff: https://tools.ietf.org/rfcdiff?url1=draft-ietf-pce-hierarchy-extensions-06&url2=https://raw.githubusercontent.com/dhruvdhody-huawei/ietf/master/draft-ietf-pce-hierarchy-extensions-06-dd.txt

Hope you found this helpful, to merge directly into your working copy.
I have the shepherd report ready and we could move forward when you
post an update. Also need to check with Adrian, if he is happy with
the resolution of his comments.

Regards,
Dhruv

On Mon, Nov 5, 2018 at 10:19 AM <[email-masked]> wrote:
> _______________________________________________
> Pce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/pce

---

From: <[email-masked]>
Date: Wed, 28 Nov 2018 20:31:12 -0000

Excellent, thanks Dhruv. Let me get with the other authors and discuss. So far, I don’t see an issue. Thanks for the suggestions. 

BR, Dan. 

-----Original Message-----
From: Dhruv Dhody <[email-masked]> 
Sent: 28 November 2018 15:16
To: Daniel King <[email-masked]>
Cc: [email-masked]; Dhruv Dhody <[email-masked]>
Subject: Re: [Pce] New Version Notification for draft-ietf-pce-hierarchy-extensions-06.txt

Hi Daniel,

As the document shepherd, I have some suggested changes that I have made directly in the text file. Most of them are editorial in nature and some fixes issues with the last update. I have a few suggestions that I have put in the text file.

Hope you found this helpful, to merge directly into your working copy.
I have the shepherd report ready and we could move forward when you post an update. Also need to check with Adrian, if he is happy with the resolution of his comments.

Regards,
Dhruv

On Mon, Nov 5, 2018 at 10:19 AM <[email-masked]> wrote:
> To: Oscar de Dios <[email-masked]>; Daniel King <[email-masked]>; 
> Fatai Zhang <[email-masked]>; Oscar Gonzalez de Dios 
> <[email-masked]>; Quintin Zhao <[email-masked]>; 
> [email-masked]
> Subject: New Version Notification for 
> draft-ietf-pce-hierarchy-extensions-06.txt
>
>